﻿var fancyfileinputs = document.querySelectorAll('.fancyfile');
Array.prototype.forEach.call(fancyfileinputs, function (input) {
	var label = input.nextElementSibling;

	input.addEventListener('change', function (e) {
		var fileName = '';
		if (this.files && this.files.length > 1)
			fileName = (this.getAttribute('data-multiple-caption') || '').replace('{count}', this.files.length);
		else
			fileName = e.target.value.split('\\').pop();

		if (fileName) label.innerHTML = fileName;
	});
});